@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");
:root {
  --primary: #1368ce;
  --creamy: #fffefa;
  --black: #1b1b1b;
  --orange: #ef9b0f;
  --white: #ffffff;
  --yellow: #ffe600;
  --darkYellow: #ffd800;
  --lightBlue: #00a2ff;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
  color: var(--black);
}

html,
body {
  -webkit-text-size-adjust: 100%;
  scroll-behavior: smooth;
  overscroll-behavior: none;
  -webkit-overflow-scrolling: touch;
}

.medium-width {
  width: 800px;
}

.lightBlue {
  background-color: #00a2ff;
}

.heading-underline__con {
  position: absolute;
  bottom: -15px;
  height: 15px;
  width: 30px;
  background-color: var(--darkYellow);
}

/* --- 📌Header ↓ */

header {
  position: sticky;
  width: 100%;
  height: auto;
  z-index: 1;
}

.navbar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 90%;
  height: 60px;
  margin: auto;
}

.navbar-logo__a {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  font-size: 4rem;
  font-weight: bold;
  text-decoration: none;
  color: var(--white);
}

.navbar_navigation-links__con {
  display: flex;
  align-items: center;
  gap: 3rem;
  width: fit-content;
  height: 100%;
}

.navbar_navigation-links__con > a {
  text-decoration: none;
  color: var(--white);
  font-weight: 500;
  font-size: 0.9rem;
}

/* ---📌Hero ↓ */

.content-bgk__con.hero {
  margin-top: -60px;
  height: 100vh;
  position: relative;
  display: flex;
  align-items: center;
  background: var(--primary);
  background: linear-gradient(
    90deg,
    rgba(19, 104, 206, 1) 28%,
    rgba(98, 0, 255, 1) 79%
  );
}

.content-bgk__con.hero::before {
  content: " ";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0.02;
  background-image: linear-gradient(#ffffff 2px, transparent 2px),
    linear-gradient(90deg, #ffffff 2px, transparent 2px),
    linear-gradient(#ffffff 1px, transparent 1px),
    linear-gradient(90deg, #ffffff 1px, #1368ce 1px);
  background-size: 50px 50px, 50px 50px, 10px 10px, 10px 10px;
  background-position: -2px -2px, -2px -2px, -1px -1px, -1px -1px;
}

.hero__section {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: auto;
  margin: auto;
}

.hero_person-detail__con {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.hero-img__wrapper {
  height: 180px;
  width: 180px;
  border-radius: 50%;
  overflow: hidden;
  margin-bottom: 2rem;
  z-index: 100;
  border: solid 10px var(--primary);
  background-color: white;
}

.hero-img__wrapper > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hero_person-name {
  font-weight: 500;
  color: var(--white);
  margin-bottom: 1.5rem;
  font-size: 2rem;
  line-height: 1;
  color: rgba(255, 255, 255, 0.6);
}

.hero_person-title {
  display: block;
  font-weight: 900;
  line-height: 0.9;
  letter-spacing: -3px;
  font-size: 6rem;
  line-height: 1;
  text-align: center;
  color: var(--white);
}

.hero_person-summary {
  display: block;
  color: var(--white);
  margin-top: 10px;
  text-align: center;
}

.hero_reach-out__btn {
  display: block;
  width: 200px;
  padding: 10px;
  border: none;
  border-radius: 3px;
  font-weight: 600;
  font-size: 1rem;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  margin-top: 3rem;
  background-color: var(--darkYellow);
  z-index: 100;
}

.hero_reach-out__btn:hover {
  cursor: pointer;
  transition: all ease-in-out 100ms;
  background-color: #f1cd00;
}

.hero_circle__i {
  position: absolute;
  top: 20%;
  left: 20%;
  background-image: url("/assets/svg/circle-svgrepo-com.svg");
  background-repeat: no-repeat;
  width: 25px;
  height: 25px;
  background-size: cover;
}

.hero_arrow-scribble__img {
  position: absolute;
  top: 15%;
  left: 95%;
  width: 8vw;
  transform: rotate(90deg);
}

.hero_vertical-dots-left__con {
  position: absolute;
  top: 10%;
  left: 4%;
  background-image: url("/assets/svg/menu-vertical-svgrepo-com.svg");
  background-size: 35px auto;
  width: 35px;
  min-height: 70px;
  overflow: hidden;
}

.hero_vertical-dots-right__con {
  position: absolute;
  bottom: 10%;
  right: 4%;
  background-image: url("/assets/svg/menu-vertical-svgrepo-com.svg");
  background-size: 35px auto;
  width: 35px;
  min-height: 70px;
  overflow: hidden;
}

/* ---📌About ↓ */

.about__section {
  height: auto;
  padding: 10rem 0 5rem 0;
  display: flex;
  flex-direction: column;
  margin: auto;
}

.about-content__con {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
}

.about-image-card__con {
  width: 50%;
}

.about-image-card__con {
  position: relative;
}

.about-backshape__div {
  width: 250px;
  height: 300px;
  border-radius: 3px;
  background: var(--primary);
  background: linear-gradient(
    180deg,
    rgba(19, 104, 206, 1) 28%,
    rgba(98, 0, 255, 1) 79%
  );
}

.about-image__wrapper {
  width: 250px;
  height: 300px;
  position: absolute;
  top: 1.5rem;
  left: 1.5rem;
  border-radius: 3px;
  overflow: hidden;
}

.about-image__wrapper > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
  filter: grayscale(100%);
}

.about-detail__con {
  width: 50%;
  text-align: left;
}

.about-heading__con {
  position: relative;
  width: fit-content;
  margin-bottom: 2.5rem;
}

.about-title__heading {
  display: block;
  font-weight: 400;
  text-align: right;
  line-height: 1;
  width: fit-content;
  font-size: 1rem;
}

.about-title__heading > strong {
  font-size: 2.5rem;
}

/* --- 📌Work ↓ */

.content-bgk_con.work {
  background-color: white;
}

.work__section {
  display: block;
  margin: auto;
  padding: 5rem 0 5rem 0;
}

.work-heading__con {
  position: relative;
  width: fit-content;
  margin: auto;
  margin-bottom: 5rem;
}

.work-heading__h2 {
  font-size: 2.5rem;
  line-height: 1;
  text-align: right;
}

.work-sub-heading__span {
  display: block;
  text-align: right;
  font-weight: 400;
  line-height: 1;
  font-size: 1rem;
}

.work-grid__con {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: 100%;
  gap: 0.5rem;
}

.work-image_wrapper {
  position: relative;
  width: 100%;
  height: 300px;
  border-radius: 3px;
  overflow: hidden;
  cursor: pointer;
}

.work-image_wrapper > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.work-overlay_con {
  cursor: pointer;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: none;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
  background-color: rgba(0, 0, 0, 0.7);
}

.showImageOverlay {
  display: flex;
}

.work-overlay__a {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: fit-content;
  border: none;
  color: var(--darkYellow);
  font-weight: 500;
  gap: 5px;
  text-decoration: none;
  background-color: transparent;
}

.work-overlay__a > i {
  color: var(--darkYellow);
  font-size: 1.2rem;
}

.work-overlay__a:hover,
.work-overlay__a:hover * {
  cursor: pointer;
  color: var(--white);
}

.home_close-projects-modal-btn {
  position: fixed;
  top: 20px;
  right: 20px;
  font-size: 40px;
  z-index: 3000;
}

.home_close-projects-modal-btn:hover {
  cursor: pointer;
  transition: all ease-in-out 100ms;
  color: white;
}

.sourceCode_not-available {
  position: absolute;
  bottom: 60px;
  right: -60px;
  width: 200px;
  padding: 5px;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 0.75rem;
  color: var(--black) !important;
  background-color: rgb(255, 255, 255);
}

.fa-solid.fa-circle-info {
  color: rgb(79, 79, 255);
  font-size: 25px;
}

/* --- 📌Skills ↓ */

.content-bgk_con {
  position: relative;
}

.skills__section {
  display: block;
  margin: auto;
  padding: 5rem 0 10rem 0;
}

.skills-heading__con {
  position: relative;
  width: fit-content;
  margin: auto;
  margin-bottom: 5rem;
}

.skills-heading__h2 {
  font-size: 2.5rem;
  line-height: 1;
  text-align: right;
}

.skills-sub-heading__span {
  display: block;
  text-align: right;
  font-weight: 400;
  line-height: 1;
  font-size: 1rem;
}

.skills-grid__con {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  margin: auto;
  width: 90%;
  justify-items: center;
}

.skills-item__con {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 130px;
}

.skills-item__con > span {
  display: block;
  font-size: 1.1rem;
  font-weight: 600;
  width: fit-content;
}

.skills-item__con > ul {
  padding-left: 1.2rem;
}

/* --- 📌Footer ↓ */

footer {
  width: 100%;
  background-color: var(--primary);
}

.content-bgk__con.footer {
  display: block;
  margin: auto;
  padding: 5rem 0 5rem 0;
}

.footer-heading__con {
  position: relative;
  width: fit-content;
  margin: auto;
  margin-bottom: 3rem;
}

.footer-heading__h2 {
  font-size: 2.5rem;
  line-height: 1;
  text-align: right;
}

.footer-sub-heading__span {
  display: block;
  text-align: right;
  font-weight: 400;
  line-height: 1;
  font-size: 1rem;
}

.footer-content__con {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer-heading__con * {
  color: var(--white);
}

.footer-social-media__con {
  display: flex;
  width: fit-content;
  gap: 1rem;
  margin: auto;
}

.footer-social-media__con > a {
  text-decoration: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--lightBlue);
}

.footer-social-media__con i {
  font-size: 1.4rem;
  color: var(--white);
}

/* --- 📌Media Queries ↓  */

@media all and (max-width: 1050px) {
  .hero__section {
    overflow: hidden !important;
  }
}

@media all and (max-width: 850px) {

  .hero__section,
  .about__section,
  .work__section,
  .skills__section,
  .content-bgk__con.footer {
    width: 90%;
  }

  .hero_person-title {
    font-size: 10vw;
  }

  .skills-grid__con {
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
  }
}

@media all and (max-width: 750px) {
  .about-content__con {
    flex-direction: column;
    justify-content: center;
  }

  .about-heading__con {
    display: block;
    margin: auto;
    margin-bottom: 4rem;
  }

  .about-detail__con {
    width: 100%;
    margin-top: 5rem;
    text-align: center;
  }

  .about-image-card__con {
    width: auto;
    display: block;
  }
}

@media all and (max-width: 500px) {
  .navbar-logo__a {
    font-size: 15vw;
  }

  .navbar_navigation-links__con {
    gap: 1rem;
  }

  .navbar_navigation-links__con > a {
    font-size: 4vw;
  }

  .work-grid__con {
    grid-template-columns: 1fr;
  }

  .work-image_wrapper {
    width: 100%;
    height: 250px;
  }

  .hero-img__wrapper {
    height: 100px;
    width: 100px;
    border: solid 5px var(--primary);
  }

  .hero_person-name {
    font-size: 1.2rem;
    line-height: 0.4;
  }

  .hero_person-title {
    letter-spacing: -1px;
  }

  .hero_reach-out__btn {
    margin-top: 2rem;
    background-color: var(--darkYellow);
  }

  .skills-heading__h2 {
    font-size: 10vw;
  }

  .skills-grid__con {
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
  }

  .skills-item__con {
    width: 100%;
  }

  .about-backshape__div {
    width: 200px;
    height: 200px;
  }

  .about-image__wrapper {
    width: 200px;
    height: 200px;
    top: 1rem;
    left: 1rem;
  }
}

@media all and (max-height: 500px) {
  .hero_reach-out__btn {
    margin-top: 2rem;
  }
}

@media all and (max-width: 800px) and (orientation: landscape) {
  .content-bgk__con.hero {
    height: 100%;
  }

  .hero__section {
    margin-top: 6rem;
    margin-bottom: 6rem;
  }
}
